[Port][1.7.10] IC2 Classic by Immibis - now 1.7.10

  • Man sometimes i really wish Advanced Machines and Compact Solars were compatible with this mod. I miss the days of blowing up my machines from the accidental placement of a HV solar array attached to my LV network... xD but i also miss my Rotary Macerators!!!

  • Same here, also immibis you have a version of adv machines, why you don't make it compatible with your mod ?

    Maybe if we constantly badger him enough then rain snakes on him. He might do it!

  • I've been getting a lot of crashes when opening the GUIs for machines that use power. It keeps tracing back to the core gui class. Trying to get a stacktrace for you.
    EDIT: here ya go.

  • Immibis are these crashes related to Forge? I seem to recall Thaumcraft suffering from this on builds made before 1210.

  • Got this error on the server log just before a crash from right-clicking on a compressor. Not sure if it's related, but thought I'd post it just in case.

    Code
    1. [16:47:21] [Server thread/WARN] [IC2-Classic]: API ERROR: ic2classic.core.block.machine.tileentity.TileEntityCompressor@3762850a didn't implement demandsEnergy() properly, no energy from injectEnergy accepted although demandsEnergy() returned true.


    The energy levels in some things have been a bit wonky too, like the power levels in storage devices occasionally flashing to negative values. Might be related.

  • Why is half of everyone on 1.7.2?


    Should I go back to 1.7.2 to fix bugs and update addons?


    Zeno deSaggara's crash report from above doesn't seem to be from 1.7.10 (possibly it is from 1.7.10 with a different Forge version, but more likely it's from 1.7.2 or 1.6.4)

    Disappointed with the bugs and nerfedness of AtomicStryker Corp's Advanced Machines, and the unupdatedness of Snyke's Enterprises?
    Need low-lag renewable power?
    Come to ImmTech Intragalactical this thread for free UUM!

    Note: UUM may stand for Unnerfed Unbuggy Updated Machines and may not be actual UUM. The extra U was lost due to a bit error.
    Battery snot included.

    The post was edited 1 time, last by immibis ().

  • Oh god no, stick with 1.7.10 and make people update like pretty much every other mod.

    145 Mods isn't too many. 9 types of copper and 8 types of tin aren't too many. 3 types of coffee though?

    I know that you believe that you understood what you think I said, but I am not sure you realise that what you read was not what I meant.


    ---- Minecraft Crash Report ----
    // I just don't know what went wrong :(


    I see this too much.

  • The poll is complete bullshit. It contains votes from the previous poll. Basically everyone needs to change their votes.

    Help the Official FTB Wiki reach a billion pages! [I had to keep changing it so there ^^]

    Someone should fix the gravel texture in the background. It's been years now, come on people.

  • The poll is complete bullshit. It contains votes from the previous poll. Basically everyone needs to change their votes.


    I've reset the poll now.

    Disappointed with the bugs and nerfedness of AtomicStryker Corp's Advanced Machines, and the unupdatedness of Snyke's Enterprises?
    Need low-lag renewable power?
    Come to ImmTech Intragalactical this thread for free UUM!

    Note: UUM may stand for Unnerfed Unbuggy Updated Machines and may not be actual UUM. The extra U was lost due to a bit error.
    Battery snot included.

  • No, 1.7.10 please, is a more stable version plus skyboy has found the reason of the chunk loading lag recentlly so'll have a good chunk loading in 1.7.10, there is no reasons to play in 1.7.2

  • Hello Immibis.
    Ive seen this mod not long ago and enjoy it (Tested and played a little bit). I really enjoy IC2 Classic more than the IC2 Exp. Mostly because of the EnergyNet (Entities get hurt, Detection of PowerFlow and also the explosions and other things). Some things in IC2 Exp are really cool but it is to much unbalanced and also i really hate it that they did not finish it to the same state as IC2 was in -1.4.7 (1.4.7 or lower).
    I am personally playing MC 1.6.4 (and that will be going for a long time) and i already tried to hack IC2 exp to fix all the stupid bugs they leftover before they switched to 1.7.10. Sadly that was not possible for me because i couldn't shutdown the required things to override them.
    And then this mod came into my mind. The only things which needed to be adjusted to make everything work with the exp mods is to adjust the mod to the new API and let it still be the old IC2. (A note here is that i am coding MC mods).
    My question here is: Can i have the 1.6.4 source code of your IC2 Classic mod that i can make it to the IC2 Addons compatible?


    Thanks for reading. Speiger

  • @CubeWrench202
    He can not Override RailCraft/AppliedEnergistics/Other big mods that use the IC2Exp api.
    I want to make it possible that you can use IC2 Classic as IC2 Exp. So that people do not have to choose do i want to use IC2 classic but can not combine it with other mods or do i use IC2 Exp that is unstable and uncomplete and i have to hope that everything work (i know that ic2 exp is stable enough for normal playing)


    So that you can have either IC2 Classic or IC2 Exp without having the problems of combining it.


    What i tried to build with IC2 Exp was a daytime detector. Did not work because in 1.6.4 the Energy flow detection cable does not work.
    I also wanted to build the Chicken Toaster from Redled72,
    Link: Fully automatic Chicken Farm with IC2, RedPower, Buildcraft & ComputerCraft (german, deutsch)
    That did not work either because Cables do no longer Hurt in ic2 exp and it is also planned (that is how the code looks like) this feature will be removed forever.


    I by the way support also Ic2 mods (started):
    Those are planed/working on:
    AdvGenerators(Started/Generators are finish machines missing.)
    Compact Windmills (Serverbug/RenderBug free version)(finished)
    Quantompack,(planned/Got OldSource)
    IC2&BC Crossovermod (planned)
    RocketSecience(Planned/GotOldSource)

  • Oh, that changes everything, i like the idea sir, but you should try to talk with Immibis in reddit, he's always very active there ;)

  • I remember a while back I managed to create a version of Nuclear Control that works with this. Only downside is it has a game-breaking bug on world reload [which I know of a possible fix for] and the reactor timer doesn't work.

  • Well this was back in 1.6.4, but basically I went and grabbed a version of the API from the latest 1.4.7 IC2 build. Nuclear Control generally used most of the API functions from the old 1.4.7 IC2 [albeit a few renames because of API changes]. Some other mods are a lot harder to backport considering they use API functions which did not exist back in the 1.4.7 version.


    At the moment I'm attempting to edit Nuclear Control 2 [the re-code by xbony2] to add support for IC2 Classic. This may or may not be released publicly. It mostly depends on the Nuclear Control 2 license.


    The main difference of my approach to this is that I used a 1.6.4 version of Nuclear Control for this addon instead of a 1.4.7 version. This worked very smoothly surprisingly.


    I wasn't able to test this in my development environment due to there being no deobfuscated version of IC2 Classic, but I may make a deobfuscated version for usage [probably privately].


    But coding for IC2 Classic addons is pretty much like coding for a IC2 1.4.7 addon. Hope this helped somebody!


    Edit: In a bit I can provide a download for the API.

    The post was edited 4 times, last by momnop ().